import os

from dotenv import load_dotenv

load_dotenv()


class Env:

    DB_URL: str = os.getenv("DB_URL")

    POSTA_API_USE_MOCKS: bool = bool(int(os.getenv("POSTA_API_USE_MOCKS")))
    POSTA_API_AUTH: str = os.getenv("POSTA_API_AUTH")
    POSTA_API_CRN: str = os.getenv("POSTA_API_CRN")
    POSTA_API_DELIVERY: str = os.getenv("POSTA_API_DELIVERY")
    POSTA_API_USERNAME: str = os.getenv("POSTA_API_USERNAME")
    POSTA_API_PASSWORD: str = os.getenv("POSTA_API_PASSWORD")
    POSTA_API_AUTH_TOKEN: str = os.getenv("POSTA_API_AUTH_TOKEN")
    POSTA_API_CRN_TOKEN: str = os.getenv("POSTA_API_CRN_TOKEN")
    POSTA_API_DELIVERY_TOKEN: str = os.getenv("POSTA_API_DELIVERY_TOKEN")

    ROUTING_DOMAIN_OSRM: str = os.getenv("ROUTING_DOMAIN_OSRM")
