from dataclasses import dataclass
from datetime import datetime
from typing import Optional

from core.domain.optimization.Optimization import Optimization
from core.types.Id import Id


@dataclass
class OptimizationMetrics:
	optimizationId: Id[Optimization]
	solution: int
	vehicles: int
	cost: float
	distance: float
	duration: float
	overlapping: Optional[dict[int, float]]
	createdAt: datetime
