from dataclasses import dataclass, field

from core.domain.map.GeoLocation import GeoLocation


@dataclass
class RouteInfo:
	distance: float # Kilometers
	duration: float # Seconds
	steps: list[GeoLocation] = field(default_factory=list)
