import datetime
from dataclasses import dataclass, field

from typing_extensions import Self

from core.domain.optimization.Optimization import Optimization
from core.domain.optimization.OptimizationResult import OptimizationResult
from core.domain.optimization.OptimizationState import OptimizationState
from core.domain.map.PostOffice import PostOffice
from core.domain.optimization.OptimizationType import OptimizationType
from core.types.Id import Id
from core.types.IntId import IntId


@dataclass
class OptimizationResultData:
	optimization: Optimization
	optimizationResult: OptimizationResult
