from dataclasses import dataclass
from datetime import timedelta
from typing import Optional

from core.domain.optimization.OptimizationVehicle import OptimizationVehicle
from core.types.Id import Id


@dataclass
class OptimizationSolution:
	isExtra: bool
	optimizationVehicleId: Id[OptimizationVehicle]
	hise: list[int]
	distance: int
	duration: timedelta
	cost: int
	district: Optional[str] = None
