import unittest

from app.App import App
from core.usecases.initialization.Register_worker import Register_worker


class test_Register_worker(unittest.TestCase):

	@classmethod
	def setUpClass(cls):
		App.init()

	def test_now(self):
		ip = App.services.systemService.getIp()

		App.repos.workerRepo.deleteByIp(ip=ip)
		result = App.usecases.register_worker.now()

		match type(result):
			case Register_worker.Result.WorkerAlreadyExists:
				raise Exception("Should not be already created!")
			case Register_worker.Result.Ok:
				pass
